<?php

namespace Modules\Additional\Specifique\Client32\Modules\Suivi\MenuContextuel;

use Helpers\Outil\MenuContextuel;
use Helpers\Outil\Sql;
use Helpers\Trad\ITrad;
use Helpers\Trad\Trad;
use Skeleton\Router;

class GestionDaMenuContextuelSpecifique
{
    /**
     *
     * @param \PDO $pdo
     * @param Itrad $trad
     * @param array<mixed> $array
     * @return array<mixed>
     */
    public static function gestionMenuContextuelSpecifique($pdo, Router $router, $trad, $array)
    {
        if (Sql::boolSql($array['TRAITEE']) == false && sql::boolSql($array['SIGNEE'])) {
            return [
                'libelle' => $trad->t('Ajouter des signataires'),
                'lienJs' => self::ajaxPopup(
                    $router->generateUri('Signature.SignatureDa.ajoutSignataire', ['idDoc' => $array['NO_DA']]),
                    $trad->t('Ajouter signataire')
                )
            ];
        } else {
            return [];
        }
    }

    protected static function ajaxPopup(string $path, string $title) : string
    {
        $title = str_replace("'", '’', $title);
        
        return 'ajaxPopup(\''.$path.'\', \''.($title).'\');';
    }
}
